#
# spec file for package golang
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         cpuguy83
%global repo            go-md2man
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        1.0.6+git20160904.a65d4d2
Release:        bp153.1.61
Summary:        Convert markdown into man pages
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang(github.com/russross/blackfriday)
Requires:       golang(github.com/russross/blackfriday)
ExcludeArch:    s390

%{go_nostrip}
%{go_provides}

%description
Tool to converts markdown into man pages.

%package -n go-md2man
Summary:        Tool to converts markdown into man pages
Group:          Development/Languages/Golang
Provides:       go-go-md2man = %{version}
AutoReqProv:    Off

%{go_exclusivearch}

%description -n go-md2man
Tool to converts markdown into man pages.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE.md

%files -n go-md2man
%defattr(-,root,root)
%{_bindir}/go-md2man

%changelog
* Thu Feb  1 2018 ro@suse.de
- do not build on s390, only on s390x (no go on s390)
* Fri Mar  3 2017 jmassaguerpla@suse.com
- add provides go-go-md2man
  this provides was there in previous versions and we can not remove
  it or otherwise it breaks dependent packages (i.e. docker, k8s)
* Wed Dec  7 2016 tboerger@suse.com
- Update to version 1.0.6+git20160904.a65d4d2:
  * Render raw html as is
  * Add html entity output support
  * fix escaping for curly braces
  * fix wrong type for Entity func
  * md2man usable as a library (again)
  * Improve man page rendering
  * use stdio for default input and output
  * improve link
  * add vendor
* Fri Dec  2 2016 tboerger@suse.com
- Recursively test all packages
* Fri Dec  2 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Fri Dec  2 2016 tboerger@suse.com
- Requires and BuildRequires for dependencies
* Fri Dec  2 2016 tboerger@suse.com
- Using the new golang-packaging now
* Fri Dec  2 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
* Thu Dec  1 2016 jmassaguerpla@suse.com
- add golang-github-shurcool-sanitized_anchor_name-source dependency
* Thu Dec  1 2016 jmassaguerpla@suse.com
- add the generation of the source package. With go1.7 we need
  the source in order to build other golang-* which depend on this
  one.
* Sun Jan 17 2016 i@marguerite.su
- Update to version 1.0.5+git20160104.2724a9c:
  + md2man usable as a library (again)
  + Improve man page rendering
* Tue Jul 28 2015 i@marguerite.su
- rename to golang-github-cpuguy83-md2man
- update version 1.0.2+git20150617.e69ac41
- use golang-packaging for packaging
* Wed May 27 2015 dmacvicar@suse.de
- initial package for version 1.0.2
